## klevernotes 1.1.0

=== CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2022 Louis Schul <schul9louis@gmail.com>

cmake_minimum_required(VERSION 3.16)

project(klevernotes VERSION "1.1.0")

include(FeatureSummary)

set(QT_MIN_VERSION "6.5")
set(KF_MIN_VERSION "6.0")

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMAddTests)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX KLEVER
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/version-klevernotes.h"
)

if (BUILD_TESTING)
    find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Test)
endif()

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS
    Core
    Gui
    Qml
    QuickControls2
    Svg
    PrintSupport
    WebEngineQuick
)

find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    Kirigami
    CoreAddons
    Config
    I18n
    ConfigWidgets
    KIO
)

add_subdirectory(src)

ki18n_install(po)

install(FILES org.kde.klevernotes.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.klevernotes.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES org.kde.klevernotes.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)


feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES src/*.cpp src/*.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2022-2024 Louis Schul <schul9louis@gmail.com>

add_library(klevernoteslib STATIC
    app.cpp

    # General utility
    logic/colorschemer.cpp
    logic/documentHandler.cpp
    logic/kleverUtility.cpp
    logic/qmlLinker.cpp

    # Editor
    logic/editor/colors.cpp
    logic/editor/editorHandler.cpp
    logic/editor/editorHighlighter.cpp
    logic/editor/editorHighlighterPrivate.cpp
    logic/editor/posCacheUtils.cpp
    logic/editor/editorTextManipulation.cpp

    # Painting
    logic/painting/pointMaker.cpp
    logic/painting/sketchserializer.cpp
    logic/painting/sketchview.cpp
    logic/painting/strokeitem.cpp
    logic/painting/strokelistitem.cpp
    logic/painting/strokepainter.cpp
    logic/painting/pressureequation.cpp
    logic/painting/sketchmodel.cpp
    logic/painting/stroke.cpp

    # Printing
    logic/printing/printingHelper.cpp

    # Preview
    logic/preview/styleHandler.cpp

    # Treeview
    logic/treeview/noteTreeModel.cpp

    # === PARSER ===
    logic/parser/parser.cpp
    logic/parser/renderer.cpp
    logic/parser/md4qtDataCleaner.cpp
    logic/parser/md4qtDataGetter.cpp
    logic/parser/md4qtDataManip.cpp
    # Extended Syntax
    logic/parser/extendedSyntax/extendedSyntaxMaker.cpp

    # plugins
    logic/parser/plugins/cliHelper.cpp
    logic/parser/plugins/pluginHelper.cpp

    logic/parser/plugins/emoji/emoticonFilterModel.cpp
    logic/parser/plugins/emoji/emojiModel.cpp
    logic/parser/plugins/emoji/emojiTones.cpp
    logic/parser/plugins/emoji/emojiPlugin.cpp

    logic/parser/plugins/noteMapper/noteMapper.cpp
    logic/parser/plugins/noteMapper/noteMapperParserUtils.cpp
    logic/parser/plugins/noteMapper/noteMapperUtils.cpp
    logic/parser/plugins/noteMapper/noteLinkingPlugin.cpp

    logic/parser/plugins/puml/pumlHelper.cpp
    logic/parser/plugins/puml/pumlParserUtils.cpp

    logic/parser/plugins/syntaxHighlight/highlightHelper.cpp
    logic/parser/plugins/syntaxHighlight/highlightParserUtils.cpp
)

kconfig_add_kcfg_files(klevernoteslib GENERATE_MOC kleverconfig.kcfgc)

target_link_libraries(klevernoteslib PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Qml
    Qt::Quick
    Qt::QuickControls2
    Qt::Svg
    Qt::WebChannel
    Qt::PrintSupport
    Qt6::WebEngineQuick 
    KF6::I18n
    KF6::CoreAddons
    KF6::ConfigCore
    KF6::ConfigGui
    KF6::ConfigWidgets
    KF6::KIOCore 
)

add_executable(klevernotes main.cpp resources.qrc)
target_link_libraries(klevernotes PRIVATE klevernoteslib)

if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

install(TARGETS klevernotes ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
klevernotes (1.1.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Limit the build to architectures where Qt 6 WebEngine is available.

 -- Patrick Franz <deltaone@debian.org>  Wed, 04 Dec 2024 23:32:37 +0100

klevernotes (1.1.0-1) experimental; urgency=medium

  * Initial release. (Closes: #1086664)

 -- Patrick Franz <deltaone@debian.org>  Sun, 17 Nov 2024 20:20:17 +0100

=== debian/control ===
Source: klevernotes
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.0.0~),
               kirigami-addons-dev (>= 1.0.0~),
               libkf6colorscheme-dev (>= 6.0.0~),
               libkf6config-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6iconthemes-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libkirigami-dev (>= 6.0.0~),
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-declarative-dev (>= 6.5.0+dfsg~),
               qt6-svg-dev (>= 6.5.0~),
               qt6-webengine-dev (>= 6.5.0+dfsg~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/office/klevernotes
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/klevernotes
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/klevernotes.git
Rules-Requires-Root: no

Package: klevernotes
Architecture: amd64 arm64 armhf i386
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: note taking and management application
 KleverNotes is a note taking and management application.
 for your mobile and desktop devices. It uses markdown and
 allows you to preview your content.
 .
 Different versions of Markdown are supported thanks to the
 md4qt parser. This parser allows text plugins to extend
 Markdown parsing, enabling the creation of KleverNotes "plugins".

## klevernotes 1.2.1

=== debian/changelog ===
klevernotes (1.2.1-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (1.2.1).

 -- Patrick Franz <deltaone@debian.org>  Fri, 21 Mar 2025 23:40:39 +0100

klevernotes (1.2.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (1.2.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Wed, 19 Mar 2025 12:04:30 +0100

## klevernotes 1.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,14 @@
 # SPDX-License-Identifier: BSD-3-Clause
-# SPDX-FileCopyrightText: 2022 Louis Schul <schul9louis@gmail.com>
+# SPDX-FileCopyrightText: 2022-2025 Louis Schul <schul9louis@gmail.com>
 
 cmake_minimum_required(VERSION 3.16)
 
-project(klevernotes VERSION "1.1.0")
+project(klevernotes VERSION "1.2.2")
 
 include(FeatureSummary)
 
 set(QT_MIN_VERSION "6.5")
-set(KF_MIN_VERSION "6.0")
+set(KF_MIN_VERSION "6.4")
 
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 
@@ -50,7 +50,8 @@
     CoreAddons
     Config
     I18n
-    ConfigWidgets
+    ColorScheme
+    IconThemes
     KIO
 )

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # SPDX-License-Identifier: BSD-3-Clause
-# SPDX-FileCopyrightText: 2022-2024 Louis Schul <schul9louis@gmail.com>
+# SPDX-FileCopyrightText: 2022-2025 Louis Schul <schul9louis@gmail.com>
 
 add_library(klevernoteslib STATIC
     app.cpp
@@ -18,17 +18,6 @@
     logic/editor/posCacheUtils.cpp
     logic/editor/editorTextManipulation.cpp
 
-    # Painting
-    logic/painting/pointMaker.cpp
-    logic/painting/sketchserializer.cpp
-    logic/painting/sketchview.cpp
-    logic/painting/strokeitem.cpp
-    logic/painting/strokelistitem.cpp
-    logic/painting/strokepainter.cpp
-    logic/painting/pressureequation.cpp
-    logic/painting/sketchmodel.cpp
-    logic/painting/stroke.cpp
-
     # Printing
     logic/printing/printingHelper.cpp
 
@@ -36,7 +25,10 @@
     logic/preview/styleHandler.cpp
 
     # Treeview
-    logic/treeview/noteTreeModel.cpp
+    logic/treeview/treeItem.cpp
+    logic/treeview/treeModel.cpp
+    logic/treeview/oldModelConverter.cpp
+    logic/treeview/fileSystemHelper.cpp
 
     # === PARSER ===
     logic/parser/parser.cpp
@@ -84,8 +76,9 @@
     KF6::CoreAddons
     KF6::ConfigCore
     KF6::ConfigGui
-    KF6::ConfigWidgets
-    KF6::KIOCore 
+    KF6::ColorScheme
+    KF6::KIOCore
+    KF6::IconThemes
 )
 
 add_executable(klevernotes main.cpp resources.qrc)

=== src/autotests/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2024 Louis Schul <schul9louis@gmail.com>

add_definitions(-DDATA_DIR="${CMAKE_CURRENT_SOURCE_DIR}/testdata" )

ecm_add_test(./parser/extendedSyntaxTest.cpp
    TEST_NAME extendedSyntax
    LINK_LIBRARIES klevernoteslib Qt::Test
    NAME_PREFIX "klevernotes-"
)

ecm_add_test(./parser/noteLinkingTest.cpp
    TEST_NAME noteLinking
    LINK_LIBRARIES klevernoteslib Qt::Test
    NAME_PREFIX "klevernotes-"
)

ecm_add_test(./parser/emojiTest.cpp
    TEST_NAME emoji
    LINK_LIBRARIES klevernoteslib Qt::Test
    NAME_PREFIX "klevernotes-"
)

=== debian/changelog ===
klevernotes (1.2.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (1.2.2).
  * Update lintian-overrides.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Fri, 25 Apr 2025 22:39:18 +0200

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
                dh-sequence-qmldeps,
                extra-cmake-modules (>= 6.0.0~),
                kirigami-addons-dev (>= 1.0.0~),
+               libcups2-dev,
                libkf6colorscheme-dev (>= 6.0.0~),
                libkf6config-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),
@@ -22,7 +23,7 @@
                qt6-webengine-dev (>= 6.5.0+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/office/klevernotes
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/klevernotes
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/klevernotes.git

## klevernotes 1.2.3

=== debian/changelog ===
klevernotes (1.2.3-0zneon+24.04+noble+release+build8) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Sep 2025 01:26:22 +0000

klevernotes (1.2.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Sep 2025 00:43:50 +0000

klevernotes (1.2.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 26 Mar 2025 00:43:31 +0000

klevernotes (1.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Mar 2025 00:43:31 +0000

klevernotes (1.1.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Oct 2024 00:43:35 +0000

klevernotes (1.0.0-1neon) jammy; urgency=medium

  * Initial release

 -- Neon CI <neon@kde.org>  Mon, 29 Apr 2024 12:36:01 +1000

=== debian/control ===
Source: klevernotes
Section: kde
Priority: optional
Uploaders: KDE Neon <neon@kde.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami2-dev,
               kf6-qqc2-desktop-style-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-webengine-dev
Standards-Version: 4.6.2
Homepage: http://www.kde.org
Vcs-Git: https://invent.kde.org/neon/neon-packaging/klevernotes.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/klevernotes
Maintainer: Neon CI <neon@kde.org>

Package: klevernotes
Architecture: any
Section: utils
Depends: qt6-webengine, ${misc:Depends}, ${shlibs:Depends}
Description: KleverNotes is a note taking and management 
 application for your mobile and desktop devices. 
 .
 It uses markdown and allow you to preview your content.  
 Different Markdown flavors are supported thanks to its 
 custom Markdown parser based Marked.js, which make the 
 integration of "plugins" and new features even easier.
 .
 This package is part of the KDE office module.

## klevernotes 1.2.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,12 +3,12 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-project(klevernotes VERSION "1.2.2")
+project(klevernotes VERSION "1.2.4")
 
 include(FeatureSummary)
 
-set(QT_MIN_VERSION "6.5")
-set(KF_MIN_VERSION "6.4")
+set(QT_MIN_VERSION "6.6")
+set(KF_MIN_VERSION "6.8")
 
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 
@@ -19,12 +19,15 @@
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
+include(ECMSetupVersion)
+include(KDEClangFormat)
 include(KDECompilerSettings NO_POLICY_SCOPE)
-include(ECMSetupVersion)
-include(ECMGenerateHeaders)
-include(KDEClangFormat)
+include(ECMQtDeclareLoggingCategory)
 include(KDEGitCommitHooks)
+include(ECMAddAppIcon)
 include(ECMAddTests)
+include(ECMDeprecationSettings)
+include(ECMQmlModule)
 
 ecm_setup_version(${PROJECT_VERSION}
     VARIABLE_PREFIX KLEVER

=== src/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2022-2025 Louis Schul <schul9louis@gmail.com>

add_library(klevernotes_static STATIC)

ecm_add_qml_module(klevernotes_static
    URI org.kde.klevernotes
    GENERATE_PLUGIN_SOURCE
    QML_FILES
        contents/ui/Main.qml

        contents/ui/dialogs/DeleteConfirmationDialog.qml
        contents/ui/dialogs/FilePickerDialog.qml
        contents/ui/dialogs/FileSaverDialog.qml
        contents/ui/dialogs/FolderPickerDialog.qml
        contents/ui/dialogs/FontPickerDialog.qml
        contents/ui/dialogs/ItemPropertiesDialog.qml
        contents/ui/dialogs/LeavePaintingDialog.qml
        contents/ui/dialogs/LinkDialog.qml
        contents/ui/dialogs/LinkNoteDialog.qml
        contents/ui/dialogs/MoveDialog.qml
        contents/ui/dialogs/NamingDialog.qml
        contents/ui/dialogs/NamingErrorDialog.qml
        contents/ui/dialogs/PrintingDialog.qml
        contents/ui/dialogs/StorageDialog.qml
        contents/ui/dialogs/StorageConversionDialog.qml
        contents/ui/dialogs/TextDialog.qml
        contents/ui/dialogs/URLDialog.qml

        contents/ui/dialogs/emojiDialog/EmojiDelegate.qml
        contents/ui/dialogs/emojiDialog/EmojiDialog.qml
        contents/ui/dialogs/emojiDialog/EmojiGrid.qml
        contents/ui/dialogs/emojiDialog/EmojiPicker.qml
        contents/ui/dialogs/emojiDialog/EmojiTonesPicker.qml

        contents/ui/dialogs/imagePickerDialog/ButtonDelegate.qml
        contents/ui/dialogs/imagePickerDialog/ImagePickerDialog.qml

        contents/ui/dialogs/tableMakerDialog/TableMakerDialog.qml
        contents/ui/dialogs/tableMakerDialog/UpDownButtonDelegate.qml

        contents/ui/dialogs/todoDialog/TextAreaDelegate.qml
        contents/ui/dialogs/todoDialog/ToDoDialog.qml

        contents/ui/pages/AboutPage.qml
        contents/ui/pages/MainPage.qml
        contents/ui/pages/PaintingPage.qml
        contents/ui/pages/PrintingPage.qml
        contents/ui/pages/SettingsPage.qml

        contents/ui/painting/ColorBar.qml
        contents/ui/painting/ColorButton.qml
        contents/ui/painting/DrawingToolBar.qml
        contents/ui/painting/DrawingToolBarOptions.qml

        contents/ui/settings/components/ClickableArrow.qml
        contents/ui/settings/components/ClickableIcon.qml
        contents/ui/settings/components/ActionListViewDelegate.qml
        contents/ui/settings/DisplayPreview.qml
        contents/ui/settings/EditorHighlightPreview.qml
        contents/ui/settings/EditorTab.qml
        contents/ui/settings/FontPicker.qml
        contents/ui/settings/GeneralTab.qml
        contents/ui/settings/NotePreviewTab.qml
        contents/ui/settings/PluginsTab.qml
        contents/ui/settings/SettingsColorButton.qml
        contents/ui/settings/TabBar.qml

        contents/ui/sharedComponents/ActionsList.qml
        contents/ui/sharedComponents/ExpandingFormSwitch.qml
        contents/ui/sharedComponents/KAction.qml
        contents/ui/sharedComponents/ReversibleButtonDelegate.qml

        contents/ui/sideBar/ActionBar.qml
        contents/ui/sideBar/ContextMenu.qml
        contents/ui/sideBar/SearchBar.qml
        contents/ui/sideBar/Sidebar.qml
        contents/ui/sideBar/TreeItem.qml
        contents/ui/sideBar/TreeView.qml

        contents/ui/textEditor/components/CheatSheetEntry.qml
        contents/ui/textEditor/components/NotesMapEntry.qml
        contents/ui/textEditor/BottomToolBar.qml
        contents/ui/textEditor/CheatSheet.qml
        contents/ui/textEditor/EditorView.qml
        contents/ui/textEditor/NotesMap.qml
        contents/ui/textEditor/TextDisplay.qml
        contents/ui/textEditor/TextEditor.qml
        contents/ui/textEditor/TextToolBar.qml

        contents/ui/todoEditor/TodoDelegate.qml
        contents/ui/todoEditor/ToDoView.qml

    SOURCES
        # General utility
        logic/colorschemer.cpp
        logic/colorschemer.h
        logic/documentHandler.cpp
        logic/documentHandler.h
        logic/qmlLinker.cpp
        logic/qmlLinker.h
        logic/kleverUtility.cpp
        logic/kleverUtility.h

        # Printing
        logic/printing/printingHelper.cpp

        # Treeview
        logic/treeview/treeModel.cpp
        logic/treeview/treeModel.h

        # Preview
        logic/preview/styleHandler.cpp
        logic/preview/styleHandler.hpp

        # Editor
        logic/editor/editorHandler.cpp
        logic/editor/editorHandler.hpp

        # Plugins
        logic/parser/plugins/emoji/emojiModel.cpp
        logic/parser/plugins/emoji/emojiModel.h
        logic/parser/plugins/emoji/emoticonFilterModel.cpp
        logic/parser/plugins/emoji/emoticonFilterModel.h

        logic/parser/plugins/noteMapper/noteMapper.cpp
        logic/parser/plugins/noteMapper/noteMapper.h

        logic/parser/plugins/syntaxHighlight/highlightHelper.cpp
)

target_include_directories(klevernotes_static PRIVATE
    ${CMAKE_CURRENT_SOURCE_DIR}/logic

    ${CMAKE_CURRENT_SOURCE_DIR}/logic/editor

    ${CMAKE_CURRENT_SOURCE_DIR}/logic/parser
    ${CMAKE_CURRENT_SOURCE_DIR}/logic/parser/plugins/emoji
    ${CMAKE_CURRENT_SOURCE_DIR}/logic/parser/plugins/noteMapper
    ${CMAKE_CURRENT_SOURCE_DIR}/logic/parser/plugins/syntaxHighlight

    ${CMAKE_CURRENT_SOURCE_DIR}/logic/preview
    ${CMAKE_CURRENT_SOURCE_DIR}/logic/printing
    ${CMAKE_CURRENT_SOURCE_DIR}/logic/treeview
)

target_sources(klevernotes_static
    PRIVATE
        main.cpp
        app.cpp

        # Editor
        logic/editor/colors.cpp
        logic/editor/editorHighlighter.cpp
        logic/editor/editorHighlighterPrivate.cpp
        logic/editor/posCacheUtils.cpp
        logic/editor/editorTextManipulation.cpp


        # Treeview
        logic/treeview/treeItem.cpp
        logic/treeview/oldModelConverter.cpp
        logic/treeview/fileSystemHelper.cpp

        # === PARSER ===
        logic/parser/parser.cpp
        logic/parser/renderer.cpp
        logic/parser/md4qtDataCleaner.cpp
        logic/parser/md4qtDataGetter.cpp
        logic/parser/md4qtDataManip.cpp

        # Extended Syntax
        logic/parser/extendedSyntax/extendedSyntaxMaker.cpp

        # plugins
        logic/parser/plugins/cliHelper.cpp
        logic/parser/plugins/pluginHelper.cpp

        logic/parser/plugins/emoji/emojiTones.cpp
        logic/parser/plugins/emoji/emojiPlugin.cpp

        logic/parser/plugins/noteMapper/noteMapperParserUtils.cpp
        logic/parser/plugins/noteMapper/noteMapperUtils.cpp
        logic/parser/plugins/noteMapper/noteLinkingPlugin.cpp

        logic/parser/plugins/puml/pumlHelper.cpp
        logic/parser/plugins/puml/pumlParserUtils.cpp

        logic/parser/plugins/syntaxHighlight/highlightParserUtils.cpp
)


kconfig_target_kcfg_file(klevernotes_static FILE kleverconfig.kcfg CLASS_NAME KleverConfig MUTATORS GENERATE_PROPERTIES GENERATE_MOC DEFAULT_VALUE_GETTERS PARENT_IN_CONSTRUCTOR QML_REGISTRATION SINGLETON)

target_link_libraries(klevernotes_static PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Qml
    Qt::Quick
    Qt::QuickControls2
    Qt::Svg
    Qt::WebChannel
    Qt::PrintSupport
    Qt6::WebEngineQuick 
    KF6::I18n
    KF6::CoreAddons
    KF6::ConfigCore
    KF6::ConfigGui
    KF6::ColorScheme
    KF6::KIOCore
    KF6::IconThemes
)

add_executable(klevernotes
    main.cpp
    resources.qrc
)

target_link_libraries(klevernotes PRIVATE klevernotes_static klevernotes_staticplugin)

if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

install(TARGETS klevernotes ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== src/autotests/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2024-2025 Louis Schul <schul9louis@gmail.com>

ecm_add_test(./parser/extendedSyntaxTest.cpp
    TEST_NAME extendedSyntax
    LINK_LIBRARIES klevernotes_static Qt::Test
    NAME_PREFIX "klevernotes-"
)

ecm_add_test(./parser/noteLinkingTest.cpp
    TEST_NAME noteLinking
    LINK_LIBRARIES klevernotes_static Qt::Test
    NAME_PREFIX "klevernotes-"
)

ecm_add_test(./parser/emojiTest.cpp
    TEST_NAME emoji
    LINK_LIBRARIES klevernotes_static Qt::Test
    NAME_PREFIX "klevernotes-"
)

=== debian/changelog ===
klevernotes (1.2.4-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Do not build on armhf any more as builds on that architecture fail
    due to memory constraints.

 -- Patrick Franz <deltaone@debian.org>  Sat, 11 Oct 2025 13:44:27 +0200

klevernotes (1.2.4-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (1.2.4).
  * Update build-deps and deps with the info from cmake.
  * Update QML-overrides.

 -- Patrick Franz <deltaone@debian.org>  Tue, 07 Oct 2025 23:10:33 +0200

=== debian/control ===
Source: klevernotes
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.8.0~),
               kirigami-addons-dev (>= 1.0.0~),
               libcups2-dev,
               libkf6colorscheme-dev (>= 6.8.0~),
               libkf6config-dev (>= 6.8.0~),
               libkf6coreaddons-dev (>= 6.8.0~),
               libkf6i18n-dev (>= 6.8.0~),
               libkf6iconthemes-dev (>= 6.8.0~),
               libkf6kio-dev (>= 6.8.0~),
               libkirigami-dev (>= 6.8.0~),
               qt6-base-dev (>= 6.6.0+dfsg~),
               qt6-declarative-dev (>= 6.6.0+dfsg~),
               qt6-svg-dev (>= 6.6.0~),
               qt6-webengine-dev (>= 6.6.0+dfsg~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/office/klevernotes
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/klevernotes
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/klevernotes.git
Rules-Requires-Root: no

Package: klevernotes
Architecture: amd64 arm64 i386
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: note taking and management application
 KleverNotes is a note taking and management application.
 for your mobile and desktop devices. It uses markdown and
 allows you to preview your content.
 .
 Different versions of Markdown are supported thanks to the
 md4qt parser. This parser allows text plugins to extend
 Markdown parsing, enabling the creation of KleverNotes "plugins".

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/klevernotes/([\d.]+)/@PACKAGE@-([\d.]+).tar.xz

## klevernotes 1.2.4+p24.04+vstable+git20251015.1249

=== debian/changelog ===
klevernotes (1.2.4+p24.04+vstable+git20251015.1249-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 12:49:04 +0000

klevernotes (1.2.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 25 Sep 2025 09:58:54 +0000

## klevernotes 1.2.4+p24.04+vstable+git20251019.0150

=== debian/changelog ===
klevernotes (1.2.4+p24.04+vstable+git20251019.0150-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 01:50:53 +0000

## klevernotes 1.2.4+p24.04+vstable+git20251030.0506

=== debian/changelog ===
klevernotes (1.2.4+p24.04+vstable+git20251030.0506-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 30 Oct 2025 05:06:59 +0000

## klevernotes 1.2.4+p24.04+vunstable+git20250927.0026

=== debian/changelog ===
klevernotes (1.2.4+p24.04+vunstable+git20250927.0026-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 27 Sep 2025 00:26:50 +0000

=== debian/control ===
Source: klevernotes
Section: kde
Priority: optional
Uploaders: KDE Neon <neon@kde.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami2-dev,
               kf6-qqc2-desktop-style-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-webchannel-dev,
               qt6-webengine-dev
Standards-Version: 4.6.2
Homepage: http://www.kde.org
Vcs-Git: https://invent.kde.org/neon/neon-packaging/klevernotes.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/klevernotes
Maintainer: Neon CI <neon@kde.org>

Package: klevernotes
Architecture: any
Section: utils
Depends: qt6-webengine, ${misc:Depends}, ${shlibs:Depends}
Description: KleverNotes is a note taking and management 
 application for your mobile and desktop devices. 
 .
 It uses markdown and allow you to preview your content.  
 Different Markdown flavors are supported thanks to its 
 custom Markdown parser based Marked.js, which make the 
 integration of "plugins" and new features even easier.
 .
 This package is part of the KDE office module.

## klevernotes 1.2.5

=== debian/changelog ===
klevernotes (1.2.5-1build2) resolute; urgency=medium

  * No-change rebuild for Qt 6.10.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Sun, 15 Feb 2026 12:54:09 +0000

klevernotes (1.2.5-1build1) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 22:12:40 +0000

klevernotes (1.2.5-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (1.2.5).

 -- Patrick Franz <deltaone@debian.org>  Wed, 03 Dec 2025 12:27:45 +0100

=== debian/control ===
Source: klevernotes
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.8.0~),
               kirigami-addons-dev (>= 1.0.0~),
               libcups2-dev,
               libkf6colorscheme-dev (>= 6.8.0~),
               libkf6config-dev (>= 6.8.0~),
               libkf6coreaddons-dev (>= 6.8.0~),
               libkf6i18n-dev (>= 6.8.0~),
               libkf6iconthemes-dev (>= 6.8.0~),
               libkf6kio-dev (>= 6.8.0~),
               libkirigami-dev (>= 6.8.0~),
               qt6-base-dev (>= 6.6.0+dfsg~),
               qt6-declarative-dev (>= 6.6.0+dfsg~),
               qt6-svg-dev (>= 6.6.0~),
               qt6-webengine-dev (>= 6.6.0+dfsg~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/office/klevernotes
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/klevernotes
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/klevernotes.git
Rules-Requires-Root: no

Package: klevernotes
Architecture: amd64 arm64 i386
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: note taking and management application
 KleverNotes is a note taking and management application.
 for your mobile and desktop devices. It uses markdown and
 allows you to preview your content.
 .
 Different versions of Markdown are supported thanks to the
 md4qt parser. This parser allows text plugins to extend
 Markdown parsing, enabling the creation of KleverNotes "plugins".

## klevernotes 1.2.5+p24.04+vstable+git20260107.0902

=== debian/changelog ===
klevernotes (1.2.5+p24.04+vstable+git20260107.0902-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 09:02:37 +0000

klevernotes (1.2.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 Nov 2025 09:58:54 +0000

## klevernotes 1.2.5+p24.04+vstable+git20260201.0237

=== debian/changelog ===
klevernotes (1.2.5+p24.04+vstable+git20260201.0237-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 02:37:13 +0000

## klevernotes 1.2.5+p24.04+vunstable+git20251113.1203

=== debian/changelog ===
klevernotes (1.2.5+p24.04+vunstable+git20251113.1203-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 13 Nov 2025 12:03:16 +0000

## klevernotes 1.2.5+p24.04+vunstable+git20251123.1903

=== debian/changelog ===
klevernotes (1.2.5+p24.04+vunstable+git20251123.1903-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 19:03:15 +0000
